Subject: bug#31975: Emacs NS port `M-x customize` Mouse Autoselect Window (point-to-focus) has no effect

From: Van L <[email-masked]>
Date: Wed, 27 Jun 2018 14:49:16 +1000

> Sorry, I cannot parse that.

In other words, to demonstrate to you, 
how the desired and expected behavior 
is configured, for example, for the
Terminal app, I found and quoted what
was needed to tell the window manager
what to do.

Also, not for use with the NS port,
but x11 to a remote GNU Linux GNU Emacs,
XQuartz’s X11 Preferences has a tick box
for `Focus Follows Mouse`.

I am asking for this behavior for the mouse
on the NS port’s outer most windowing framing
boxes with the horizontal traffic lights at
the upper most left most corner. In use, I half full screen
zoom two of those, arranged left and right, in the window manager.

The mouse focus doesn’t follow Emacs’s frame arranged left and right.
`C-x o` does not skip among Emacs’s frame.

The mouse focus does follow within the Emacs’s frame on the right, 
for example, when it is split horizontally to contain a top and bottom elements.
`C-x o` does skip among top and bottom elements.

> you should set mouse-autoselect-window to t, move the mouse
> between windows, then show the output of "C-h l”.  

`mouse-autoselect-window` is t; for the following

#+BEGIN_EXAMPLE
   [next-line]
   <down> [next-line]
   <down> [next-line]
   <next> [scroll-up-command]
   <next> [scroll-up-command]
   <prior> [scroll-down-command]
   <prior> [scroll-down-command]
   <help-echo> <select-window> [handle-select-window]
   <help-echo> <help-echo> <switch-frame> [handle-switch-frame]
   <switch-frame> [handle-switch-frame]
   C-h v [describe-variable]
   m [self-insert-command]
   o [self-insert-command]
   u [self-insert-command]
   s [self-insert-command]
   e [self-insert-command]
   <tab> [minibuffer-complete]
   a [self-insert-command]
   u [self-insert-command]
   t [self-insert-command]
   <tab> [minibuffer-complete]
   <return> [minibuffer-complete-and-exit]
   C-h l [view-lossage]
   <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <help-echo> <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <help-echo> <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <help-echo> <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <help-echo> <select-window> [handle-select-window]
   <select-window> [handle-select-window]
   <help-echo> <select-window> [handle-select-window]
   C-h l [view-lossage]

  [back]

#+END_EXAMPLE

Repetition of lines more than two were removed.